# Data Model

The **Data Model** tab contains all data that can be seen by the current page in JSON format.

The **Production data** field is the JSON object that will load in the page's data model when the page is first loaded. This data is sent to your FMS in the onFormRequest scoped hook.

**Development data** is only seen by the BetterForms IDE. The JSON object in this field is merged into the production data when previewing things items like the HTML editor. This allows you to work with separate data in the schema editor

By default, the entire data model of a page is passed to your FMS during a scoped hook. To modify this behaviour, see this page:

{% content-ref url="/pages/-LKI57AY1W-HY1p1KcRB" %}
[Reducing Payload Size](/v1/reference/hooksoverview/env_vars.md)
{% endcontent-ref %}

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/reference/form-settings/data-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
